import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickFooter, userClickRegistration } from '../util/gtm/tags-collection';

const userClickedFooterVehiclePurchasePrinciple = () => {
  $('div.c-footer_grid > div:nth-child(1) > a:nth-child(2)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'VehiclePurchase-Principle' });
  });
};

const userClickedFooterVehiclePurchaseFeatures = () => {
  $('div.c-footer_grid > div:nth-child(1) > a:nth-child(3)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'VehiclePurchase-Features' });
  });
};

const userClickedFooterVehiclePurchaseFAQs = () => {
  $('div.c-footer_grid > div:nth-child(1) > a:nth-child(4)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'VehiclePurchase-FAQs' });
  });
};

const userClickedFooterVehiclePurchaseGlossary = () => {
  $('div.c-footer_grid > div:nth-child(1) > a:nth-child(5)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'VehiclePurchase-Glossary' });
  });
};

const userClickedFooterVendorPrinciple = () => {
  $('div.c-footer_grid > div:nth-child(2) > a:nth-child(2)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'Vendor-Principle' });
  });
};

const userClickedFooterVendorDemo = () => {
  $('div.c-footer_grid > div:nth-child(1) > a:nth-child(3)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'Vendor-Demo' });
  });
};

const userClickedFooterVendorFAQs = () => {
  $('div.c-footer_grid > div:nth-child(2) > a:nth-child(4)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'Vendor-FAQs' });
  });
};

const userClickedFooterCarOnSaleAboutUs = () => {
  $('div.c-footer_grid > div:nth-child(3) > a:nth-child(2)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'CarOnSale-AboutUs' });
  });
};

const userClickedFooterCarOnSaleCareer = () => {
  $('div.c-footer_grid > div:nth-child(3) > a:nth-child(3)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'CarOnSale-Career' });
  });
};

const userClickedFooterCarOnSaleContact = () => {
  $('div.c-footer_grid > div:nth-child(3) > a:nth-child(4)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'CarOnSale-Contact' });
  });
};

const userClickedFooterCarOnSaleBlog = () => {
  $('div.c-footer_grid > div:nth-child(3) > a:nth-child(5)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'CarOnSale-Blog' });
  });
};

const userClickedFooterLegalInformationImprint = () => {
  $('div.c-footer_grid > div:nth-child(4) > a:nth-child(2)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'Legal information-Imprint' });
  });
};

const userClickedFooterLegalInformationGeneralTermsAndConditions = () => {
  $('div.c-footer_grid > div:nth-child(4) > a:nth-child(3)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'Legal information-General Terms and Conditions' });
  });
};

const userClickedFooterLegalInformationPrivacyPolicy = () => {
  $('div.c-footer_grid > div:nth-child(4) > a:nth-child(4)').click(function () {
    pushTagToGTM({ ...userClickFooter, label: 'Legal information-Privacy Policy' });
  });
};

/**
 * footer custom events:w
 * @returns {function(): {init: function(): void}}
 */
export const footer = (() => ({
  init: function () {
    userClickedFooterVehiclePurchasePrinciple();
    userClickedFooterVehiclePurchaseFeatures();
    userClickedFooterVehiclePurchaseFAQs();
    userClickedFooterVehiclePurchaseGlossary();
    userClickedFooterVendorPrinciple();
    userClickedFooterVendorDemo();
    userClickedFooterVendorFAQs();
    userClickedFooterCarOnSaleAboutUs();
    userClickedFooterCarOnSaleCareer();
    userClickedFooterCarOnSaleContact();
    userClickedFooterCarOnSaleBlog();
    userClickedFooterLegalInformationImprint();
    userClickedFooterLegalInformationGeneralTermsAndConditions();
    userClickedFooterLegalInformationPrivacyPolicy();
  }
}))();
