import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { languageSwitchSelect } from '../util/gtm/tags-collection';

const userClickedLanguage = () => {
  $('.wg-element-wrapper [lang]').click(function () {
    // The Weglot script replaces the innerHTML of the tag and that event handler is triggered first.
    // This means that by the time this event handler is triggered, although the element is the same,
    // the language attribute was switched with the one from the previous language.
    // To solve this, the current language is extracted because that's the one which was clicked.
    const selectedLanguage = $('.wg-element-wrapper .wg-toggle').attr('lang');

    pushTagToGTM({ ...languageSwitchSelect, value: selectedLanguage });
  });
};

/**
 * languageSwitcher custom events:w
 * @returns {function(): {init: function(): void}}
 */
export const languageSwitcher = (() => ({
  init: function () {
    userClickedLanguage();
  }
}))();
